> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create recipient

> Add recipients to a contract via the Sendforsign API and choose their action: sign, approve, view or lock.

One way to add recipients to a contract is when you send a contract.
[See this page](https://sendforsign.com/docs/api-reference/recipient/send.md) to learn more.

If you need to add a recipient to a contract without sending it, use the request below.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**userKey** `string`

ID of the user who is sending the contract. If not specified, the default user credentials will be used.

**contractKey** `string` *required*

Key of the contract.

**recipients** `array`

Array of recipients, optional.

**child attribute**

**action** `string`

What the recipient needs to do with the contract. Available options: `view`, `sign`, `approve`, and `lock`.

**customMessage** `string`

Custom note to the recipient. If not specified, the default message will be sent.

**fullname** `string`

Full name of the recipient.

**email** `string` *required*

Email of the recipient.

**position** `number`

Signing order. If not specified, all requests will be sent simultaneously.

### Response

**result** `boolean`

Status.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/recipient' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "create",
				   "clientKey": "YOUR_CLIENT_KEY",
				   "contractKey": "CONTRACT_KEY",
           "recipients":[{
                "action": "view",
                "clientKey": "YOUR_CLIENT_KEY",
                "customMessage": "Custom message text",
                "fullname": "John Johnson", 
                "email": "john_johnson@mail.com", 
                "position": 1
               }], 
				  }
       }'
```

```json Response theme={null}
     {
       "result": true,
       "code": "200",
       "message": "Recipient created"
    }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.